DIFF3(1)

NOM
diff3 - compare three files line by line

SYNOPSIS
diff3 [option]... monfichier ancienfichier autrefichier

DESCRIPTION
Comparer trois fichiers ligne à ligne.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-A, --show-all
    Afficher tous les changements, en plaçant les conflits entre chevrons.

-e, --ed
    Afficher un script « ed » incorporant les changements entre ancienfichier et autrefichier dans monfichier.

-E, --show-overlap
    Comme -e, mais en plaçant les conflits entre chevrons.

-3, --easy-only
    Comme -e, mais en n'incorporant que les changements sans chevauchement.

-x, --overlap-only
    Comme -e, mais en n'incorporant que les changements avec chevauchement.

-X  Comme -x, mais en plaçant les conflits entre chevrons.

-i  Ajouter les commandes « w » et « q » aux scripts « ed ».

-m, --merge
    Afficher les fichiers vraiment fusionnés, d'après -A si aucune autre option n'est donnée.

-a, --text
    Traiter tous les fichiers comme du texte.

--strip-trailing-cr
    Ignorer les retours à la ligne sur l'entrée standard.

-T, --initial-tab
    Afficher une tabulation plutôt qu'une espace avant le texte.

--diff-program=programme
    Utiliser programme pour comparer les fichiers.

-L, --label=étiquette
    Utiliser étiquette au lieu du nom de fichier (peut être répété jusqu'à trois fois).

--help
    afficher l'aide-mémoire et quitter

-v, --version
    afficher le nom et la version du logiciel et quitter

Le format d'affichage par défaut est une représentation à peu près lisible des modifications.

Avec les options -e, -E, -x et -X (et les formes longues correspondantes), un script « ed » est affiché à la place de l'affichage par défaut.

Enfin, avec l'option -m (--merge), diff3 fait la fusion en interne et affiche le fichier vraiment fusionné. Pour les entrées inhabituelles, c'est plus robuste que l'utilisation de « ed ».

Si un fichier vaut -, l'entrée standard est lue. Le code de retour vaut 0 en cas de succès, 1 en cas de conflit, et 2 en cas de problème.

AUTEUR
Écrit par Randy Smith.

SIGNALER DES BOGUES
Signaler toute erreur à : bug-diffutils@gnu.org
Page d'accueil de GNU diffutils : <URL:http://www.gnu.org/software/diffutils/>.
Aide globale pour l'utilisation de logiciels GNU : <URL:http://www.gnu.org/gethelp/>.

COPYRIGHT
Copyright © 2021 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
cmp(1), diff(1), sdiff(1)

The full documentation for diff3 is maintained as a Texinfo manual. If the info and diff3 programs are properly installed at your site, the command

    info diff3

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.